Index: guitools/PlotPanel.py
===================================================================
--- guitools/PlotPanel.py	(revision 8800ff618a167a3aa669769979cf07c6960a9e27)
+++ guitools/PlotPanel.py	(revision d6d411d8d98e4d837de36689551197ff7d6e1d15)
@@ -746,10 +746,10 @@
         
         for item in list:
-            print item.name
+            print item.name, self.xLabel, item.get_xaxis()
             item.setLabel(self.xLabel,self.yLabel)
             if ( self.xLabel=="x" ):
                 item.transformX(transform.toX,transform.errToX)
                 name, units = item.get_xaxis()
-                self.graph.xaxis("%s" % name,  "%s" % units)
+                self.graph._xaxis_transformed("%s" % name,  "%s" % units)
                 
                 
@@ -758,5 +758,5 @@
                 name, units = item.get_xaxis()
                 units=convertUnit(2,units) 
-                self.graph.xaxis("%s^{2}" % name,  "%s" % units)
+                self.graph._xaxis_transformed("%s^{2}" % name,  "%s" % units)
                 
                 
@@ -765,5 +765,5 @@
                 _xscale = 'log'
                 name, units = item.get_xaxis() 
-                self.graph.xaxis("\log_{10}\ \  (%s)" % name,  "%s" % units)
+                self.graph._xaxis_transformed("\log_{10}\ \  (%s)" % name,  "%s" % units)
                 
                 
@@ -771,5 +771,5 @@
                 item.transformY(transform.toLogX,transform.errToLogX)
                 name, units = item.get_yaxis()
-                self.graph.yaxis("\log\ \ %s" % name,  "%s" % units)
+                self.graph._yaxis_transformed("\log\ \ %s" % name,  "%s" % units)
                 
                 
@@ -777,5 +777,5 @@
                 item.transformY(transform.toX,transform.errToX)
                 name, units = item.get_yaxis()
-                self.graph.yaxis("%s" % name,  "%s" % units)
+                self.graph._yaxis_transformed("%s" % name,  "%s" % units)
                
                 
@@ -784,5 +784,5 @@
                 _yscale = 'log'  
                 name, units = item.get_yaxis()
-                self.graph.yaxis("\log_{10}\ \ (%s)" % name,  "%s" % units)
+                self.graph._yaxis_transformed("\log_{10}\ \ (%s)" % name,  "%s" % units)
                 
                 
@@ -791,5 +791,5 @@
                 name, units = item.get_yaxis()
                 units=convertUnit(2,units) 
-                self.graph.yaxis("%s^{2}" % name,  "%s" % units)
+                self.graph._yaxis_transformed("%s^{2}" % name,  "%s" % units)
                 
                 
@@ -798,5 +798,5 @@
                 name, units = item.get_yaxis()
                 units=convertUnit(-1,units)
-                self.graph.yaxis("1/%s" % name,  "%s" % units)
+                self.graph._yaxis_transformed("1/%s" % name,  "%s" % units)
                 
             if ( self.yLabel =="1/sqrt(y)" ):
@@ -804,5 +804,5 @@
                 name, units = item.get_yaxis()
                 units=convertUnit(-0.5,units)
-                self.graph.yaxis("1/\sqrt{%s}" %name,  "%s" % units)
+                self.graph._yaxis_transformed("1/\sqrt{%s}" %name,  "%s" % units)
                 
             if ( self.yLabel =="ln(y*x)"):
@@ -810,5 +810,5 @@
                 yname, yunits = item.get_yaxis()
                 xname, xunits = item.get_xaxis()
-                self.graph.yaxis("\log\ (%s \ \ %s)" % (yname,xname),  "%s%s" % (yunits,xunits))
+                self.graph._yaxis_transformed("\log\ (%s \ \ %s)" % (yname,xname),  "%s%s" % (yunits,xunits))
                
                 
@@ -818,5 +818,5 @@
                 xname, xunits = item.get_xaxis() 
                 xunits = convertUnit(2,xunits) 
-                self.graph.yaxis("\log (%s \ \ %s^{2})" % (yname,xname),  "%s%s" % (yunits,xunits))
+                self.graph._yaxis_transformed("\log (%s \ \ %s^{2})" % (yname,xname),  "%s%s" % (yunits,xunits))
                 
             
@@ -826,5 +826,5 @@
                 xname, xunits = item.get_xaxis()
                 xunits = convertUnit(4,xunits) 
-                self.graph.yaxis("\log (%s \ \ %s^{4})" % (yname,xname),  "%s%s" % (yunits,xunits))
+                self.graph._yaxis_transformed("\log (%s \ \ %s^{4})" % (yname,xname),  "%s%s" % (yunits,xunits))
                 
             if ( self.viewModel == "Guinier lny vs x^(2)"):
@@ -833,10 +833,10 @@
                 name, units = item.get_xaxis()
                 units = convertUnit(2,units) 
-                self.graph.xaxis("%s^{2}" % name,  "%s" % units)
+                self.graph._xaxis_transformed("%s^{2}" % name,  "%s" % units)
                 
                 
                 item.transformY(transform.toLogX,transform.errToLogX )
                 name, units = item.get_yaxis()
-                self.graph.yaxis("\log\ \ %s" % name,  "%s" % units)
+                self.graph._yaxis_transformed("\log\ \ %s" % name,  "%s" % units)
                
                 
Index: guitools/plottables.py
===================================================================
--- guitools/plottables.py	(revision a17ffdfe0f514c60553b596d93faab3540f2898c)
+++ guitools/plottables.py	(revision d6d411d8d98e4d837de36689551197ff7d6e1d15)
@@ -116,21 +116,37 @@
     would be nice.
     """
+    def _xaxis_transformed(self, name, units):
+        """
+            Change the property of the x axis
+            according to an axis transformation
+            (as opposed to changing the basic properties)
+        """
+        self.prop["xlabel"] = "%s (%s)"%(name,units)
+        self.prop["xunit"] = units
+        
+    def _yaxis_transformed(self, name, units):
+        """
+            Change the property of the y axis
+            according to an axis transformation
+            (as opposed to changing the basic properties)
+        """
+        self.prop["ylabel"] = "%s (%s)"%(name,units)
+        self.prop["yunit"] = units
+        
     def xaxis(self,name,units):
         """Properties of the x axis.
         """
-        if self.prop["xunit"] and units != self.prop["xunit"]:
-            pass
-            #print "Plottable: how do we handle non-commensurate units"
         self.prop["xlabel"] = "%s (%s)"%(name,units)
         self.prop["xunit"] = units
+        self.prop["xlabel_base"] = "%s (%s)"%(name,units)
+        self.prop["xunit_base"] = units
 
     def yaxis(self,name,units):
         """Properties of the y axis.
         """
-        if self.prop["yunit"] and units != self.prop["yunit"]:
-            pass
-            #print "Plottable: how do we handle non-commensurate units"
         self.prop["ylabel"] = "%s (%s)"%(name,units)
         self.prop["yunit"] = units
+        self.prop["ylabel_base"] = "%s (%s)"%(name,units)
+        self.prop["yunit_base"] = units
         
     def title(self,name):
